
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Tint Color的理解和APP简单的主题化 / 憋错料</title>

    <meta name="description" content="Tint Color的理解和APP简单的主题化 译自http://captechconsulting.com/blog/steven-beyers/ios-7-tutorial-series-tint-color-and-easy-app-theming 自从iOS7,UIView有了一个新的属性tintColor,它是用来在视觉上说明屏幕上哪些控件是活跃的或者有相关的活动.例如bar button items和tab bar items默认使用tintColor.如果一个view没有显示地指定tintColor,它将继承父视图的tintCo">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Tint Color的理解和APP简单的主题化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>译自<u><a href="http://captechconsulting.com/blog/steven-beyers/ios-7-tutorial-series-tint-color-and-easy-app-theming" rel="external nofollow noreferrer">http://captechconsulting.com/blog/steven-beyers/ios-7-tutorial-series-tint-color-and-easy-app-theming</a></u></p>
<p>自从iOS7，UIView有了一个新的属性tintColor，它是用来在视觉上说明屏幕上哪些控件是活跃的或者有相关的活动。例如bar<br />
 button items和tab bar items默认使用tintColor。如果一个view没有显示地指定tintColor，它将继承父视图的tintColor，因此在整个视图层次结构中将有一个连锁反应。最简单的情况是你可以通过一行代码来给整个APP指定一个颜色主题:</p>
<pre>[[UIApplication sharedApplication] keyWindow].tintColor = [UIColor orangeColor];</pre>
<p>因为UIWindow继承自UIView，所以我们可以指定一个tintColor，然后应用内的所有子视图将继承这个颜色。为了证明tintColor对各种用户界面元素的影响，接下来将举一个tabbar应用的例子，第一个页面有6个按钮，每个按钮会改变UIWindow的tintColor为一个颜色。第二个页面将展示tintColor对不用界面元素的影响。左上角的red按钮会设置UIView的tintColor，右上角的blue按钮会设置UIButton自身和tabbar的tintColor。最后UISegmentedControl将控制整个苹果图标的外观。当我们按下第一页的按钮的时候，UIButton的文本就会自动适应按钮指定的颜色。相&#20284;的，tabbar上的图标和文本也会适应新的颜色。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5jYXB0ZWNoY29uc3VsdGluZy5jb20vc2l0ZXMvZGVmYXVsdC9maWxlcy9zdHlsZXMvbGFyZ2UvcHVibGljLzIwMTMwOTEyXzEucG5nP2l0b2s9Q1VPY3NKTUg=.jpg"></p>
<p>相&#20284;地，我们可以设置指定视图的tintColor,假设一个有tabbar应用设置的UIWindow的tintColor为蓝色，为了区分出tab和主界面，我们可以设定主界面的tintColor为红色。iOS7之前实现要用很多行颜色设定的代码，但是现在只需要简单的一行代码改变主视图的tintColor来设定主视图自身和它所有子视图的颜色。</p>
<pre>self.view.tintColor = [UIColor redColor];</pre>
<p>设置按钮的tintColor会改变按钮上文本的颜色，但是不会改变按钮兄弟视图和父视图的颜色。</p>
<pre>myButton.tintColor = [UIColor blueColor];</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5jYXB0ZWNoY29uc3VsdGluZy5jb20vc2l0ZXMvZGVmYXVsdC9maWxlcy9zdHlsZXMvbGFyZ2UvcHVibGljLzIwMTMwOTEyXzIucG5nP2l0b2s9TTNqS0JiV3Q=.jpg"></p>
<p>iOS7还能够在alert或者action<br />
 sheet出现的时候去色或者“暗”着色。这向用户表明这些控件当前不可用。按下第二个页面的步进控件就会看到这个效果，如下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5jYXB0ZWNoY29uc3VsdGluZy5jb20vc2l0ZXMvZGVmYXVsdC9maWxlcy9zdHlsZXMvbGFyZ2UvcHVibGljLzIwMTMwOTEyXzMucG5nP2l0b2s9VW1QN0tNb1Q=.jpg"></p>
<p>iOS7中UIImage添加了一个新的属性renderingMode，可以和tintColor结合着使用，renderingMode有三个选项，第一个是UIImageRenderingModeAutomatic,正如字面的意思自动根据UIImage的使用场景和tintColor来填充颜色，例如UIImageView不会根据tintColor渲染UIImage，而UIBarButtonItem会根据tintColor自动填充UIImage。第二个选项是UIImageRenderingModeAlwaysOriginal，UIImage总是会根据自身的颜色渲染图像。第三个是UIImageRenderingModeAlwaysTemplate，这个模式将会用tintColor渲染所有UIImage不透明的地方，也就是说设置为这个属性的UIImage被当做了一个模板，如果你希望图像的哪些部分不用tintColor渲染的话，你需要把哪些部分设置成完全透明的。在例子中的第二个界面中的Segmented控件展示了这个功能。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5jYXB0ZWNoY29uc3VsdGluZy5jb20vc2l0ZXMvZGVmYXVsdC9maWxlcy9zdHlsZXMvbGFyZ2UvcHVibGljLzIwMTMwOTEyXzUucG5nP2l0b2s9bXB6SFlURkM=.jpg"></p>
<p>正如我们看到的，tintColor和renderingMode两个属性给了我们很用的功能，但是使用tintColor有几件事情我们需要注意，第一是tintColor不支持UIAppearance。这是非常不幸的，因为如果支持的话，我们可能通过几行代码就会改变整个APP的颜色，例如我们想要每一个UIButton以一个特殊颜色凸现出来，我们不得不单独的设置每一个按钮的tintColor。第二当获取一个UIView的tintColor的时候，总是返回一个有效的颜色。这是因为如果视图的tintColor是nil就会返回父视图的tintColor。如果所有的视图包括UIWindow的tintColor都是nil的话，UIWindow总会返回一个默认的&#20540;，这个&#20540;是RGB(0,122,255).第三如果你自定义了一个视图并且用到了tintColor，你应该实现tintColorDidChange方法以便于我们可以在必要的时候更新视图的渲染。</p>
<pre>- (void)tintColorDidChange</pre>
<p>这个方法的默认实现是执行标准的更新。例如你子类化了一个UIImageView并且image的renderingImage设置为UIImageRenderingModeAlwaysTemplate或者子类了UIButton，当tintColor更新的时候自动重绘。覆盖这个方法的目的是为了当tintColor改变的时候自定义一些行为。例如我们可以子类一个UIView来根据用户的选择改变颜色主题。例子中的颜色主题是橘色和黑色两个选项，当用户选择一个选项的时候，我们可以自定义UIView和设置tintColor为橙色，接下来可以设置子视图的tintColor为黑色。在iOS6中也有tintColor属性但是这个属性是用于navigation<br />
 bars、tab bars、toolbars、search<br />
 bars和scope bar的北京颜色。在iOS7中我们要设置这些控件的背景颜色我们应该使用barTintColor。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3d3dy5jYXB0ZWNoY29uc3VsdGluZy5jb20vc2l0ZXMvZGVmYXVsdC9maWxlcy9zdHlsZXMvbGFyZ2UvcHVibGljLzIwMTMwOTEyXzYucG5nP2l0b2s9RTRPckJEYlQ=.jpg"></p>
<p>tintColor十分有用并且非常容易使用，通过这个属性用户就可以通过观看视图来判断当前哪些控件是活跃的并且有相关的活动。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:57:17 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/app/" title="app">app</a>, <a href="https://www.biecuoliao.com/tag/objective-c/" title="objective-c">objective-c</a>, <a href="https://www.biecuoliao.com/tag/theme/" title="theme">theme</a>, <a href="https://www.biecuoliao.com/tag/ios7/" title="ios7">ios7</a>, <a href="https://www.biecuoliao.com/tag/tintcolor/" title="tintcolor">tintcolor</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Tint Color的理解和APP简单的主题化的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a697E3.html" rel="bookmark">详解 UIView 的 Tint Color 属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在iOS 7后,UIView新增加了一个tintColor属性,这个属性定义了一个非默认的着色颜色值,其值的设置会影响到以视图为根视图的整个视图层次结构.它主要是应用到诸如app图标.导航栏.按钮等一些控件上,以获取一些有意思的视觉效果. tintColor属性的声明如下: var tintColor: UIColor! 默认情况下,一个视图的tintColor是为nil的,这意味着视图将使用父视图的tint color值.当我们指定了一个视图的tintColor后,这个色值会自动传播到视图层次			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M616qW4.html" rel="bookmark">Settings app简单学习记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Settings是android系统设置的入口.主界面由Settings.java以及settings_headers.xml构成. Settings类继承自PreferenceActivity,而PreferenceActivity又继承自ListActivity,ListActivity拥有ListView和ListAdapter类型的成员变量. 1,如何使用PreferenceActivity构建页面 使用addPreferencesFromIntent或者addPreferencesFr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l9PqX3.html" rel="bookmark">谷歌眼镜Mirror app简单MP3播放器界面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虽然我知道,Mirror是不可以播放音视频的 = =!,不过只是做个UI而已,有用的可以参考下-(背景:歌手|标题:歌名|中间:歌词[蓝色显示目前]|底部:时间[黄色显示播放时间]) 效果图: 代码: 1 &lt;article&gt; 2 &lt;img src=&quot;http://img2.imgtn.bdimg.com/it/u=394713825,2736623939&amp;fm=23&amp;gp=0.jpg&quot; width=&quot;100%&quot;&gt; 3 &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD6gb93.html" rel="bookmark">从服务端架构设计角度，深入理解大型APP架构升级</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着智能设备普及和移动互联网发展,移动端应用逐渐成为用户新入口,重要性越来越突出.但企业一般是先有PC端应用,再推APP,APP 1.0版的功能大多从现有PC应用平移过来,没有针对移动自身特点考虑APP的架构.随着APP越来越复杂,功能和非功能要求越来越高,架构的先天不足逐渐成为大型APP升级的瓶颈. 本文作者结合大型移动应用的落地实践,从服务端架构设计角度,阐述如何进行升级优化,为后续APP做大做强奠定架构基础,供大家参考. 本文主要内容包括: V1架构 问题分析 V2架构 智能升降级 总结			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoNeqk4.html" rel="bookmark">aspnetcore 实现简单的伪静态化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				aspnetcore 实现简单的伪静态化 Intro 在我的活动室预约项目中,有一个公告模块,类似于新闻发布,个人感觉像新闻这种网页基本就是发布的时候编辑一次之后就再也不会改了,最适合静态化了, 静态化之后用户请求的就是静态文件基本不再需要服务器端查询数据库甚至服务器端渲染,可以一定程度上提升服务器的处理能力以及优化用户体验,而且这种静态化的url对 SEO 比较友好. 由于我的这个项目正在开发中,迁移起来不太方便,所以使用的是伪静态化,看上去是访问的 *.html,实际上并不是 html,而是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/471RD10.html" rel="bookmark">POJ 1088 滑雪（简单的记忆化dp）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目 又一道可以称之为dp的题目,虽然看了别人的代码,但是我的代码写的还是很挫,,,,,, //看了题解做的简单的记忆化dp #include&lt;stdio.h&gt; #include&lt;algorithm&gt; #include&lt;iostream&gt; using namespace std; int mp[110][110],dp[110][110]; int xx[]={1,-1,0,0}; int yy[]={0,0,1,-1}; int n,m; int dfs(int x,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vY9pk0.html" rel="bookmark">理解CNN卷积层与池化层计算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 深度学习中CNN网络是核心,对CNN网络来说卷积层与池化层的计算至关重要,不同的步长.填充方式.卷积核大小.池化层策略等都会对最终输出模型与参数.计算复杂度产生重要影响,本文将从卷积层与池化层计算这些相关参数出发,演示一下不同步长.填充方式.卷积核大小计算结果差异. 一:卷积层 卷积神经网络(CNN)第一次提出是在1997年,杨乐春(LeNet)大神的一篇关于数字OCR识别的论文,在2012年的ImageNet竞赛中CNN网络成功击败其它非DNN模型算法,从此获得学术界的关注与工业界的兴趣			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzQRB84.html" rel="bookmark">Android APP 简单高效的禁用横竖屏切换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				默认情况下,Android APP的界面会随着手机方向的改变而改变,当手机处于竖屏状态,APP的界面也处于竖屏状态,而当手机处于横屏状态,APP也会自动切换到横屏状态.一般情况下APP的界面都是为竖屏设计的,一旦自动切换到横屏,界面可能就无法直视了.而且每次屏幕方向切换,当前的页面都会销毁并重新创建. 下面先做一个简单的演示 布局文件: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xml			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k1WL74.html" rel="bookmark">宇宙APP简单的性能测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 这两周用python自己折腾了一个安卓性能测试工具,当然,整套工具的功能还不够完善,但是,测试几个指标基本上是没什么问题的.本着结果驱动的原则,先用这套工具来试试我们的宇宙级炒股APP(下称宇宙APP)的性能 开发的流程见&lt;AndroidTestTool开发笔记&gt; 工具概览 工具由两部分组成,一是客户端,二是web端,具体怎么划分的我就是看心情.工具大概长这样 工具的作用 工具大概监控这么几个指标,内存.cpu.wlan流量,以及封装了Monkey做满负载执行. 多次测试正常使用的指标			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3ra1b0.html" rel="bookmark" class="title">如何学习java？</a>
					<div>
						嗯,不知不觉中,学习java的时间快要两年了.在学习这两年中,遇到的挫折很多,收货的知识也很多.下面我给出我自己在学习过程中使用到的经验,以及相关的资源链接,希望每一个爱编程.爱java的人,可以有所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rKv14.html" rel="bookmark" class="title">ReSharper Ultimate 2017 下载地址及破解方法</a>
					<div>
						https://download.jetbrains.8686c.com/resharper/JetBrains.ReSharperUltimate.2017.1.2.exe 安装完成后,打开vs   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0ammR0.html" rel="bookmark" class="title">UVAlive 7361 Immortal Porpoises（矩阵快速幂）</a>
					<div>
						题目地址:https://icpcarchive.ecs.baylor.edu/index.php?option=com_onlinejudge&amp;Itemid=8&amp;page=show_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMojpP4.html" rel="bookmark" class="title">华为OJ平台&mdash;&mdash;查找组成一个偶数最接近的两个素数</a>
					<div>
						1 import java.util.Scanner; 2 3 /** 4 * 问题描述:任意一个偶数(大于2)都可以由2个素数组成,组成偶数的2个素数有很多种情况, 5 * 本题目要求输出组成指定偶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0egyJ4.html" rel="bookmark" class="title">jquery实现网页选项卡</a>
					<div>
						这个功能在现在的网站中使用较为普遍,就是以选项卡的形式来对一些内容做了分类.,比如下面的天猫商城. 下面的源码是仿照天猫写的一个选项卡,实现起来的效果如下. 主要是利用我们在点击相应板块是触发它的单击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68mbW3.html" rel="bookmark" class="title">如果35岁破产，还有多大可能逆袭&quest;</a>
					<div>
						最近在知乎上看到一个很有趣的问题:房间里有100个人,每人都有100元钱,他们在玩一个游戏.每轮游戏中,每个人都要拿出一元钱随机给另一个人,最后这100个人的财富分布是怎样的? 以下是三个不同的答案, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dgmb7M.html" rel="bookmark" class="title">Hibernate中get方法和load方法的区别</a>
					<div>
						1.从返回结果上对比: load方式检索不到的话会抛出org.hibernate.ObjectNotFoundException异常: get方法检索不到的话会返回null: 2.从检索执行机制上对比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qzb13.html" rel="bookmark" class="title">Vi Vim编译器设置显示行号</a>
					<div>
						Linux环境下的编辑器有vi.vim.gedit,进入这些编辑器之后,显示出当前的行号 手动显示:在vim或vi命令行模式下输入:set nu 取消显示:在vim命令行模式下输入: set nonu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NqWnw3.html" rel="bookmark" class="title">shell脚本while练习（不定期更新）</a>
					<div>
						1. COUNTER=0 while [ $COUNTER -lt 3 ] do     COUNTER=`expr $COUNTER + 1`     echo $COUNTER done 注:ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODoBP4.html" rel="bookmark" class="title">航电OJ-2035 人见人爱A&Hat;B</a>
					<div>
						人见人爱A^B Problem Description 求A^B的最后三位数表示的整数. 说明:A^B的含义是&quot;A的B次方&quot; Input 输入数据包含多个测试实例,每个实例占一行, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAeRa4.html" rel="bookmark" class="title">Python学习记录-2016-12-12</a>
					<div>
						01的意义,一个小故事: 多少位数字,比如20000多,即为2**15,即为15位01可以解释20000多: 字符编码和01的关系: ASCII GBK1.0 GBK18030=GBK Unicode ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkbVoM.html" rel="bookmark" class="title">xml或其他附件下载到客户端</a>
					<div>
						//xml Document document=DocumentHelper.createDocument(); Element root=document.addElement(&quot;root ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47wrB14.html" rel="bookmark" class="title">VC&plus;&plus;  动态生成 成组的 RadioButton 按钮组</a>
					<div>
						先说一下 静态创建的方法: 单选按钮也属于CButton类,但由于单选按钮总是成组使用的,所以它在制作和使用上与普通按钮有一定区别.假设有三个单选按钮组成一组,初始时,第一个单选按钮处于选中状态.我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvPoYM.html" rel="bookmark" class="title">PHP开发工具ZendStudio12&period;0&period;1破解或永久用的方法</a>
					<div>
						1.进入下述路径:c/users/用户名,如果你的用户名是123,那就是在下述目录:C:\Users\123 2.删除一个文件和两个目录:.zs(文件),.ZendStudio(目录)..zend(目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6leOd3.html" rel="bookmark" class="title">schedule&lpar;&rpar; 和 scheduleAtFixedRate&lpar;&rpar; 的区别--转载</a>
					<div>
						1.  schedule() ,2个参数方法:在执行任务时,如果指定的计划执行时间scheduledExecutionTime &lt;= systemCurrentTime,则task会被立即执行. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41Dn9q3.html" rel="bookmark" class="title">request&period;getParameter&lpar;&rpar; 、 request&period;getInputStream&lpar;&rpar;和request&period;getReader&lpar;&rpar; 使用体会</a>
					<div>
						request.getParameter(). request.getInputStream().request.getReader()这三种方法是有冲突的,因为流只能被读一次.比如:当form表单内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oyqp8M.html" rel="bookmark" class="title">在Ubuntu Kylin15&period;05上安装MongoDB</a>
					<div>
						在Ubuntu Kylin15.05上安装MongoDB MongoDB是典型的NoSQL,但是据说也有很多人在用它.于是我尝试一下在Ubuntu Kylin上安装一下这个数据库. 首先去它的官网看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeN5B0.html" rel="bookmark" class="title">【转】ruby中nil&quest;&comma; empty&quest; and blank&quest;的选择</a>
					<div>
						In Ruby, you check with nil? if an object is nil:article = nil article.nil? # =&gt; true empty? chec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41Goqv0.html" rel="bookmark" class="title">iOS编程规范&lpar;整理&rpar;</a>
					<div>
						一.文档结构管理 1.建立Libraries文件夹,所有第三方库放入其中. 2.建立Utilities文件夹,自已封装的类放入其中. 3.建立Constants.h头文件,所有的常量定义于其中.Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWjror4.html" rel="bookmark" class="title">&lpar;八&rpar;&colon;构建WineLib DLL</a>
					<div>
						(一):介绍 出于某些原因,你可能会发现你想要和使用Windows DLL一样使用你的Linux库.对于这有一些原因例如以下: 你正在支持一个使用多个第三方库的大应用.该项目在Linux中是可用的,可 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
